package com.crm.manager.dao.repository;

import com.crm.rely.backend.core.pojo.table.SysActionTable;
import com.crm.rely.backend.dao.repository.BaseRepository;
import org.springframework.data.jpa.repository.Lock;
import org.springframework.stereotype.Repository;

import javax.persistence.LockModeType;
import java.util.List;

/**
 * @author houn
 */
@Repository
public interface SysActionRepository extends BaseRepository<SysActionTable> {
    @Lock(LockModeType.PESSIMISTIC_WRITE)
    SysActionTable findFirstById(Long id);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    List<SysActionTable> findAllByIdIn(List<Long> ids);

    @Lock(LockModeType.PESSIMISTIC_WRITE)
    List<SysActionTable> findAllByNodeIdIn(List<Long> nodeIds);

    List<SysActionTable> getAllByOrderByCode();

}
